API Explorer 891 endpoints

Delete activity by id

DELETE /obp/v7.0.0/banks/ogcr/dynamic-entities/activity/ACTIVITY_ID

OBPv7.0.0-dynamicEntity_deleteactivity_ogcr Roles: CanDeleteDynamicEntityRecord_activity(per bank) _Activity(ogcr)Dynamic-EntityDynamic

Delete activity by id

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"activity"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "activity_id": "a_05OFWI037022",
  "name": "Brandenburg Regenerative Wheat",
  "summary": "Wheat rotation adopting cover crops and reduced tillage across enrolled parcels.",
  "description": "This activity aggregates multiple parcels under a single operator to monitor practice changes and estimate carbon stock change over the monitoring period.",
  "website": "https://example.org/activities/brandenburg-wheat",
  "hero_image": "https://cdn.example.org/activity-images/activity_123.png",
  "image": "https://cdn.example.org/activity-images/activity_123.png",
  "operator_id": "op_01JS0347FKH",
  "activity_type": "CARBON_FARMING",
  "unit_types": "Soil Emission Reduction",
  "city": "Seelow",
  "country_id": "DE",
  "multipolygon_coordinates": {
    "type": "MultiPolygon",
    "coordinates": [
      [
        [
          [
            14.3801,
            52.5201
          ],
          [
            14.3901,
            52.5201
          ],
          [
            14.3901,
            52.5301
          ],
          [
            14.3801,
            52.5301
          ],
          [
            14.3801,
            52.5201
          ]
        ]
      ]
    ]
  },
  "start_date": "2027-01-01",
  "end_date": "2031-12-31",
  "term_commitment": 5,
  "cobenefits": "[\"biodiversity\", \"water_quality\", \"soil_health\"]",
  "methodologies": "[{\"id\": \"crcf_agri_mineral_soils\", \"version\": \"1.0\"}]",
  "monitoring_period_years": 5,
  "monitoring_period_start_date": "2027-01-01",
  "monitoring_period_end_date": "2031-12-31",
  "certification_scheme_id": "CRCF Scheme",
  "internal_note": "I'm flagging this for review"
}
Example success response
{
  "bank_id": "ogcr",
  "activity": {
    "activity_id": "a_05OFWI037022",
    "name": "Brandenburg Regenerative Wheat",
    "summary": "Wheat rotation adopting cover crops and reduced tillage across enrolled parcels.",
    "description": "This activity aggregates multiple parcels under a single operator to monitor practice changes and estimate carbon stock change over the monitoring period.",
    "website": "https://example.org/activities/brandenburg-wheat",
    "hero_image": "https://cdn.example.org/activity-images/activity_123.png",
    "image": "https://cdn.example.org/activity-images/activity_123.png",
    "operator_id": "op_01JS0347FKH",
    "activity_type": "CARBON_FARMING",
    "unit_types": "Soil Emission Reduction",
    "city": "Seelow",
    "country_id": "DE",
    "multipolygon_coordinates": {
      "type": "MultiPolygon",
      "coordinates": [
        [
          [
            [
              14.3801,
              52.5201
            ],
            [
              14.3901,
              52.5201
            ],
            [
              14.3901,
              52.5301
            ],
            [
              14.3801,
              52.5301
            ],
            [
              14.3801,
              52.5201
            ]
          ]
        ]
      ]
    },
    "start_date": "2027-01-01",
    "end_date": "2031-12-31",
    "term_commitment": 5,
    "cobenefits": "[\"biodiversity\", \"water_quality\", \"soil_health\"]",
    "methodologies": "[{\"id\": \"crcf_agri_mineral_soils\", \"version\": \"1.0\"}]",
    "monitoring_period_years": 5,
    "monitoring_period_start_date": "2027-01-01",
    "monitoring_period_end_date": "2031-12-31",
    "certification_scheme_id": "CRCF Scheme",
    "internal_note": "I'm flagging this for review"
  },
  "metadata": {
    "created": {
      "at": "2026-09-30T10:12:00Z",
      "user_id": "a9f2c7e1-3d4b-4a5c-8e6f-7a8b9c0d1e2f",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    },
    "updated": {
      "at": "2026-09-30T11:40:00Z",
      "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    }
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv7.0.0 dynamicEntity_deleteactivity_ogcr Originally /banks/ogcr/dynamic-entities/activity/ACTIVITY_ID